Module | Tk::X_Scrollable
In: | tk/lib/tk/scrollable.rb

### Methods

xscrollbar xscrollcommand xview xview_moveto xview_scroll

### Public Instance methods

xscrollbar(bar=nil)

[Source]

    # File tk/lib/tk/scrollable.rb, line 29
        def xscrollbar(bar=nil)
          if bar
            @xscrollbar = bar
            @xscrollbar.orient 'horizontal'
            self.xscrollcommand {|*arg| @xscrollbar.set(*arg)}
            @xscrollbar.command {|*arg| self.xview(*arg)}
            Tk.update  # avoid scrollbar trouble
          end
          @xscrollbar
        end

xscrollcommand(cmd=Proc.new)

[Source]

    # File tk/lib/tk/scrollable.rb, line 8
        def xscrollcommand(cmd=Proc.new)
          configure_cmd 'xscrollcommand', cmd
          # Tk.update  # avoid scrollbar trouble
          self
        end

xview(*index)

[Source]

    # File tk/lib/tk/scrollable.rb, line 14
        def xview(*index)
          if index.size == 0
            list(tk_send_without_enc('xview'))
          else
            tk_send_without_enc('xview', *index)
            self
          end
        end

xview_moveto(*index)

[Source]

    # File tk/lib/tk/scrollable.rb, line 22
        def xview_moveto(*index)
          xview('moveto', *index)
        end

xview_scroll(*index)

[Source]

    # File tk/lib/tk/scrollable.rb, line 25
        def xview_scroll(*index)
          xview('scroll', *index)
        end

[Validate]